import pytest

from ceo_common.errors import UserNotFoundError
from ceod.model import User


def test_user_add_to_ldap(cfg, ldap_srv, file_srv):
    min_id = cfg.get('members_min_id')
    user = User(
        uid='jdoe',
        cn='John Doe',
        program='Math',
        terms=['s2021'],
    )
    user.add_to_ldap()
    retrieved_user = ldap_srv.get_user(user.uid)
    assert retrieved_user.uid == user.uid
    assert retrieved_user.uid_number >= min_id

    user.remove_from_ldap()
    with pytest.raises(UserNotFoundError):
        ldap_srv.get_user(user.uid)
